package com.house365.ws.dao.mapper;

import com.house365.beans.entity.PlatRuleEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface PlatRuleMapper {
    List<PlatRuleEntity> getPlatRuleList(Map<String, Object> map);
    Integer countPlatRule(Map<String, Object> map);
    void delRule(String ruleId);
    void saveRule(PlatRuleEntity pre);
    PlatRuleEntity getRuleById(String ruleId);
    void modifyRule(PlatRuleEntity pre);
    List<PlatRuleEntity> queryDeptList(Integer userId);
}
